Bison host requirement

Alexander E. Patrakov patrakov at ums.usu.ru
Sat Apr 14 21:54:44 PDT 2007


Dan Nicholson wrote:
> A couple people recently hit a bug building bash in Ch. 5 using the
> bison from their host. There's a bug from one reporter and a split up
> support thread from the other:
> 
> http://wiki.linuxfromscratch.org/lfs/ticket/1977
> http://linuxfromscratch.org/pipermail/lfs-support/2007-April/032888.html
> 
> They both had bison-1.75 on their hosts. The current host requirement
> says bison-1.26a. That came from a comment I found in the bash code,
> but was never confirmed.

Is it possible to build bison in Chapter 5 before bash? This way, we'll 
avoid bumping the requirement. If we continue the road of bumping 
requirements, we'll automatically go to the statement that the only valid 
host is the not-yet-released version of our LiveCD.

-- 
Alexander E. Patrakov



More information about the lfs-dev mailing list